import { QueryParamParams } from './types';
export declare class QueryParamDef<QueryParams = any> {
    private config;
    constructor(config: QueryParamParams<QueryParams>);
    get queryKey(): keyof QueryParams & string;
    get path(): string;
    get type(): import("./types").ParamDefType;
    get strategy(): "modelToUrl" | "twoWay";
    get parser(): (value: string) => any;
    get serializer(): (value: unknown) => string;
    parse(queryParamValue: string): any;
}
